Picoscope on Kubuntu 20.10

Discussion forum for the Picoscope 6 Linux software
Post Reply
royleith
Newbie
Posts: 0
Joined: Tue Feb 07, 2012 4:01 pm

Picoscope on Kubuntu 20.10

Post by royleith »

I have had great success with earlier versions of Kubuntu, but Picoscope fails to install on Kubuntu 20.10. The repository appears in Sources, but the package does not appear in Muon.

Code: Select all

 picoscope is already the newest version (6.14.36-4r5676).
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies.
 libps2000a : Depends: libpicoipp (>= 1.3.0-4r78) but it is not going to be installed
 libps3000a : Depends: libpicoipp (>= 1.3.0-4r78) but it is not going to be installed
 libps4000 : Depends: libpicoipp (>= 1.3.0-4r78) but it is not going to be installed
 libps4000a : Depends: libpicoipp (>= 1.3.0-4r78) but it is not going to be installed
 libps5000a : Depends: libpicoipp (>= 1.3.0-4r78) but it is not going to be installed
 libps6000 : Depends: libpicoipp (>= 1.3.0-4r78) but it is not going to be installed
 libps6000a : Depends: libpicoipp (>= 1.3.0-4r78) but it is not going to be installed
 picoscope : Depends: libpicoipp (= 1.3.0-4r78) but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
roy@quietpc:~$ sudo apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  libpicoipp
The following NEW packages will be installed
  libpicoipp
0 to upgrade, 1 to newly install, 0 to remove and 0 not to upgrade.
172 not fully installed or removed.
Need to get 0 B/4,260 kB of archives.
After this operation, 27.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 430421 files and directories currently installed.)
Preparing to unpack .../libpicoipp_1.3.0-4r78_amd64.deb ...
dpkg: error processing archive /var/cache/apt/archives/libpicoipp_1.3.0-4r78_amd64.deb (--unpack):
 conffile name 'etc/ld.so.conf.d/picoscope.conf' is not an absolute pathname
Errors were encountered while processing:
 /var/cache/apt/archives/libpicoipp_1.3.0-4r78_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
libpicoipp also appears in a Discover Update, but fails for the same reason as given on the command line: 'etc/ld.so.conf.d/picoscope.conf' is not an absolute pathname. Perhaps the problem is the missing 'forward-slash' before etc/.

AndrewA
PICO STAFF
PICO STAFF
Posts: 301
Joined: Tue Oct 21, 2014 3:07 pm

Re: Picoscope on Kubuntu 20.10

Post by AndrewA »

Hi,

Could please try this fix-
viewtopic.php?p=145119#p145119

Using "libpicoipp_1.3.0-4r78_amd64.deb" instead-
https://labs.picotech.com/debian/pool/m ... _amd64.deb
Regards Andrew
Technical Specialist

Post Reply